summaryrefslogtreecommitdiff
path: root/scripts/update.sh
diff options
context:
space:
mode:
authorFredrik Aslund <fredrik.aslund@umu.se>2016-11-04 12:03:55 +0100
committerFredrik Aslund <fredrik.aslund@umu.se>2016-11-04 12:03:55 +0100
commit6e7ed0ad3720f127fa5ece90fd24558d25a68ac6 (patch)
tree7457f2cf1bb84d35803e30d9d2a2859a15f98937 /scripts/update.sh
parente06d64c102d33276333caf73a170451525030c9a (diff)
run aggregate on md1/md2 every 60 minutes, do not commit to git
Diffstat (limited to 'scripts/update.sh')
-rwxr-xr-xscripts/update.sh27
1 files changed, 26 insertions, 1 deletions
diff --git a/scripts/update.sh b/scripts/update.sh
index 3d8441ac..5d1a9a2f 100755
--- a/scripts/update.sh
+++ b/scripts/update.sh
@@ -1,3 +1,28 @@
#!/bin/sh
-cd /opt/swamid-metadata && git pull && make test && make
+update()
+{
+ echo "git pull"
+ git pull || return $?
+ echo
+
+ echo "make aggregate"
+ make aggregate || return $?
+ echo
+
+ echo "make test"
+ make test || return $?
+ echo
+
+ echo "make"
+ make || return $?
+ echo
+}
+
+cd /opt/swamid-metadata || exit 1
+output=$(update 2>&1)
+ret=$?
+if [ "$ret" != "0" ] ; then
+ echo "$output"
+ exit $ret
+fi